[Mailman-Users] Upgrade install - "Could not import paths!"

david.gordon box99 at ntlworld.com
Mon Aug 4 13:08:01 CEST 2003

Richard Barrett wrote on Sun 3 Aug 2003 at 16:14 +0100

>You should have two files in you Mailman runtime installation:

Apologies, I don't do this often enough to know what I (er, or you) am on
about. Where exactly these files are eludes me. I'm willing to admit my
ignorance if people here are willing to help me learn! ;-)

>and I would also expect the following files in your Mailman build 
>directory after having run ./configure and make install:

The "build directory" being...

Anyway, no matter. I've reinstalled and somehow solved the problem. I
think I used --with-mail-gid=admin & --with-cgi-gid=admin (plus --

However.... I now have an "Internal Server Error" when trying to get to
the admin pages via the web. I remember reading about this when I first
installed Mailman. I know its a cgi permissions problem but I cant
remember how to fix it. I've read the docs. I've tried reinstalling using
--with-cgi-gid=web as that's what my httpd.conf says. Didn't work though.
My httpd error_log says

>[Mon Aug  4 11:52:01 2003] [error] [client x.x.x.x] Premature end of
>script headers: /home/mailman/cgi-bin/private

My VirtualHost for this domain is set up and was working with Mailman 2.0.x.

Thanks again.


More information about the Mailman-Users mailing list